GET/location-types/{typeId}
Returns one location type with its sections and the properties assigned to each section. typeId comes from
Locations_GetLocationTypes. Needs the organization admin permission.
Path Parameters
| Field | Type | Required | Description |
|---|
| typeId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
| isArchived | boolean | |
| sections | GetLocationTypeResponseSectionInfo[]| null | |
GetLocationTypeResponseSectionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| index | integer | |
| properties | GetLocationTypeResponsePropertyAssignmentInfo[]| null | |
GetLocationTypeResponsePropertyAssignmentInfo
| Field | Type | Description |
|---|
| propertyId | uuid | |
| name | string| null | |
| type | string| null | |
| index | integer | |
| options | GetLocationTypeResponseOptionInfo[]| null | |
GetLocationTypeResponseOptionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |